Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017 Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
<== Date ==> <== Thread ==>

Subject: RE: problem compiling edm
From: Mark Rivers <rivers@cars.uchicago.edu>
To: "'Pierrick Hanlet'" <hanlet@fnal.gov>, "Sinclair, John William" <sinclairjw@ornl.gov>, "tech-talk@aps.anl.gov" <tech-talk@aps.anl.gov>
Date: Thu, 2 Feb 2017 21:10:27 +0000
Certainly for medm the default fonts installed on RHEL 7 are not sufficient.  The instructions on how to install additional fonts here is required:

http://aps.anl.gov/epics/extensions/medm/index.php

Perhaps edm needs the same packages?

Mark


-----Original Message-----
From: tech-talk-bounces@aps.anl.gov [mailto:tech-talk-bounces@aps.anl.gov] On Behalf Of Pierrick Hanlet
Sent: Thursday, February 02, 2017 2:38 PM
To: Sinclair, John William; tech-talk@aps.anl.gov
Subject: Re: problem compiling edm

Thank you John,
That did the trick.

Now I need to revisit the fonts issue.  There's an old message of adding 
Fonts.conf to /etc/X11/xorg.conf, but that doesn't appear to work with 
this newer os.
Perhaps the problem is that I've not been able to find the "unscaled" 
fonts.  Any ideas?
Thanks again,
Pierrick

On 02/02/2017 04:12 PM, Sinclair, John William wrote:
> I believe I added the following to the makefile locally for newer versions of gcc:
>
>    USR_CXXFLAGS += -fpermissive -Wno-narrowing -Wno-write-strings -Wno-unused-but-set-variable
>
> John Sinclair
>
> -----Original Message-----
> From: tech-talk-bounces@aps.anl.gov [mailto:tech-talk-bounces@aps.anl.gov] On Behalf Of Pierrick Hanlet
> Sent: Thursday, February 02, 2017 9:16 AM
> To: tech-talk@aps.anl.gov
> Subject: problem compiling edm
>
> I've a new pc on which I'm running Fedora release 25.  I'm using base 3.15.5.
>
> I'm attempting to build edm, but whilst attempting to compile, I get:
>
> make[2]: Entering directory
> '/home/epics/epicsDEV/extensions/src/edm/lib/O.linux-x86_64'
> /usr/bin/g++  -D_GNU_SOURCE -D_DEFAULT_SOURCE -D_X86_64_  -DUNIX
> -Dlinux     -O3 -g   -Wall -DSINGLE_THREADED=1 -D__epics__=1
> -mtune=generic     -m64 -fPIC -I. -I../O.Common -I. -I. -I..
> -I../../../../include/edm/compiler/gcc
> -I../../../../include/edm/os/Linux -I../../../../include/edm -I/home/epics/epicsDEV/base/include/compiler/gcc
> -I/home/epics/epicsDEV/base/include/os/Linux
> -I/home/epics/epicsDEV/base/include
> -I/home/epics/epicsDEV/extensions/include        -I../../util
> -I../../lib -I/usr/include -I/usr/include    -c ../cursor.cc
> ../cursor.cc: In member function ‘void cursorClass::create(Display*, Window, Colormap)’:
> ../cursor.cc:82:50: error: narrowing conversion of ‘224’ from ‘int’ to ‘char’ inside { } [-Wnarrowing]
>       0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
>                                                     ^
> ../cursor.cc:82:50: error: narrowing conversion of ‘224’ from ‘int’ to ‘char’ inside { } [-Wnarrowing]
> ../cursor.cc:82:50: error: narrowing conversion of ‘224’ from ‘int’ to ‘char’ inside { } [-Wnarrowing] and many more lines of the same.
>
> I can't find this problem in tech-talk, nor with a web search. Has anyone run into this problem and if so, how did you resolve it?
> Many thanks,
> Pierrick
>
>



Replies:
Re: problem compiling edm Hugo Slepicka
References:
problem compiling edm Pierrick Hanlet
Re: problem compiling edm Pierrick Hanlet

Navigate by Date:
Prev: Re: problem compiling edm Pierrick Hanlet
Next: Re: problem compiling edm Hugo Slepicka
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
Navigate by Thread:
Prev: Re: problem compiling edm Pierrick Hanlet
Next: Re: problem compiling edm Hugo Slepicka
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
ANJ, 14 Feb 2017 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·